Bug 275516 - Recolor pictures are not rendered properly
Summary: Recolor pictures are not rendered properly
Status: VERIFIED FIXED
Alias: None
Product: calligrastage
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Unlisted Binaries Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: LukasT
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-06-13 08:55 UTC by keerthi
Modified: 2011-12-07 12:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Testdata (39.61 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2011-06-13 08:55 UTC, keerthi
Details
Screenshot in calligra stage. (141.59 KB, image/x-png)
2011-06-13 08:59 UTC, keerthi
Details
Screenshot in MSoffice. (106.95 KB, application/x-zip-compressed)
2011-06-13 09:01 UTC, keerthi
Details
screenshot of koconverted file. (143.13 KB, image/x-png)
2011-06-13 09:05 UTC, keerthi
Details
Document showing almost all of the recolor modes (107.72 KB, application/vnd.openxmlformats-officedocument.presentationml.presentation)
2011-08-04 13:09 UTC, LukasT
Details

Note You need to log in before you can comment on or make changes to this bug.
Description keerthi 2011-06-13 08:55:36 UTC
Created attachment 60944 [details]
Testdata

Version: git checkout 8288143b7c1f9f9005209b55b651875219b0e9d6
        (Using KDE 4.5.5)                
     OS: Kubuntu 10.10

Test data is in pptx format.
Open the same document in Calligra stage and check for the display of footer.

Expected outcome:
Footer should be displayed properly.

Actual outcome:
Color of the footer picture is wrong.

Frequency:
Always.
Comment 1 keerthi 2011-06-13 08:59:17 UTC
Created attachment 60945 [details]
Screenshot in calligra stage.
Comment 2 keerthi 2011-06-13 09:01:38 UTC
Created attachment 60946 [details]
Screenshot in MSoffice.
Comment 3 keerthi 2011-06-13 09:05:27 UTC
Created attachment 60947 [details]
screenshot of koconverted file.
Comment 4 LukasT 2011-08-04 13:09:32 UTC
Created attachment 62539 [details]
Document showing almost all of the recolor modes

The problem does not relate to footers. 
It exposes that there is missing support of "recolor" feature in filters.
Comment 5 LukasT 2011-08-11 07:22:02 UTC
Git commit e9d576c4c6b1783db9862f6350a5e4a763a58b00 by Lukáš Tvrdý.
Committed on 11/08/2011 at 09:18.
Pushed by lukast into branch 'master'.

Fix reading of the preset colors

o fixes wrong input colors e.g. for duotone in recolor.pptx

CCBUG:275516

M  +5    -0    filters/libmsooxml/MsooXmlCommonReaderDrawingMLImpl.h

http://commits.kde.org/calligra/e9d576c4c6b1783db9862f6350a5e4a763a58b00
Comment 6 LukasT 2011-08-11 07:22:02 UTC
Git commit 7e08fd0daab268c035c450b474b2b84ec3256e25 by Lukáš Tvrdý.
Committed on 11/08/2011 at 09:12.
Pushed by lukast into branch 'master'.

Add support for duotone effect, recolor feature

o fixes the color of the pictures
o wmf, emf formats are unsupported

CCBUG:275516

M  +98   -1    filters/libmsooxml/MsooXmlCommonReaderDrawingMLImpl.h
M  +1    -0    filters/libmsooxml/MsooXmlCommonReaderDrawingMLMethods.h

http://commits.kde.org/calligra/7e08fd0daab268c035c450b474b2b84ec3256e25
Comment 7 LukasT 2011-08-11 07:37:22 UTC
This bug is fixed in ooxml filter. In recolor.pptx there is one picture that is displayed with incorrect colors due to missing support of ODF attributes draw:luminance and draw:contrast in calligra rendering engine.
Comment 8 srikanth Tiyyagura 2011-08-12 16:48:42 UTC
Git commit 2f8e6324102b99b78c90e0e54e7424f4eaab099e by Srikanth Tiyyagura, on behalf of Lukáš Tvrdý.
Committed on 11/08/2011 at 09:12.
Pushed by tiyyagura into branch 'krita_resource-management-tagging-tiyyagura'.

Add support for duotone effect, recolor feature

o fixes the color of the pictures
o wmf, emf formats are unsupported

CCBUG:275516

M  +98   -1    filters/libmsooxml/MsooXmlCommonReaderDrawingMLImpl.h
M  +1    -0    filters/libmsooxml/MsooXmlCommonReaderDrawingMLMethods.h

http://commits.kde.org/calligra/2f8e6324102b99b78c90e0e54e7424f4eaab099e
Comment 9 srikanth Tiyyagura 2011-08-12 16:48:42 UTC
Git commit 3a39725f56b1ecda21e0f406060e96279b7e38d4 by Srikanth Tiyyagura, on behalf of Lukáš Tvrdý.
Committed on 11/08/2011 at 09:18.
Pushed by tiyyagura into branch 'krita_resource-management-tagging-tiyyagura'.

Fix reading of the preset colors

o fixes wrong input colors e.g. for duotone in recolor.pptx

CCBUG:275516

M  +5    -0    filters/libmsooxml/MsooXmlCommonReaderDrawingMLImpl.h

http://commits.kde.org/calligra/3a39725f56b1ecda21e0f406060e96279b7e38d4
Comment 10 Inge Wallin 2011-08-16 08:09:46 UTC
Git commit e1672fa5f188f34b6a7a69054db8c362cb7fa34d by Inge Wallin, on behalf of Lukáš Tvrdý.
Committed on 11/08/2011 at 09:12.
Pushed by ingwa into branch 'nondestructive-unavail-leinir'.

Add support for duotone effect, recolor feature

o fixes the color of the pictures
o wmf, emf formats are unsupported

CCBUG:275516

M  +98   -1    filters/libmsooxml/MsooXmlCommonReaderDrawingMLImpl.h
M  +1    -0    filters/libmsooxml/MsooXmlCommonReaderDrawingMLMethods.h

http://commits.kde.org/calligra/e1672fa5f188f34b6a7a69054db8c362cb7fa34d
Comment 11 Inge Wallin 2011-08-16 08:09:46 UTC
Git commit 4cdcec4ac9e587a8b92867eade8908d59977ffa3 by Inge Wallin, on behalf of Lukáš Tvrdý.
Committed on 11/08/2011 at 09:18.
Pushed by ingwa into branch 'nondestructive-unavail-leinir'.

Fix reading of the preset colors

o fixes wrong input colors e.g. for duotone in recolor.pptx

CCBUG:275516

M  +5    -0    filters/libmsooxml/MsooXmlCommonReaderDrawingMLImpl.h

http://commits.kde.org/calligra/4cdcec4ac9e587a8b92867eade8908d59977ffa3
Comment 12 swathi 2011-12-07 12:38:56 UTC
Verified in eb82fab9a76582b318902667665df3d8c61a95b6.